<?php
	
	$phone = "0900123456";
	//要驗證的電話號碼
	$token = "";
	//通行權仗
	$time = "2";
	//驗證的時間, 最少1分鐘, 最多5分鐘
	$valid_url = "https://example.com/test.php?v1=abc&v2=xyz";
	//驗證通過後要重新導向的URL, 可以加入自訂的參數
	$invalid_url = "https://example.com/test.php?v1=abc&v2=xyz";
	//驗證過期後要重新導向的URL, 可以加入自訂的參數
	
	$api_url = "https://s1.phonecallcheck.com/api/v1/check-phone/add";
	//本平台API的URL
	
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $api_url);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
	curl_setopt($ch, CURLOPT_TIMEOUT, 15);
	curl_setopt($ch, CURLOPT_POST, TRUE);
	
	curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query(
	array
	(
		"pn"=>$phone,
		"token"=>$token,
		"time"=>$time,
		"check_mode_type"=>"2",
		"auto_mode_phone_valid_url"=>$valid_url,
		"auto_mode_phone_invalid_url"=>$invalid_url
	)));
	
	$output = curl_exec($ch);
	curl_close($ch);
	
	$json_data = json_decode($output);
	
	$status = 0;
	$message = "";
	$guest_url = "";
	
	if ($json_data->{"status"} == "ok")
	{
		$guest_url = $json_data->{"guest_url"};
		$status = 1;
	}
	else
	{
		$message = $json_data->{"message"};
	}
	
	if ($status == 1)
	{
		header("Location: " . $guest_url);
	}
	else
	{
		echo $message;
	}
	
?>
